Summary:	The Crypto Filesystem
Name:		cfs
Version:	1.4.0.beta2j
Release:	6.2a
Copyright:	BSD like
Group:		System Environment/Daemons
Source0:	ftp://ftp.ssc.com/pub/lj/listings/issue102/%{name}.%{version}.tgz
Source1:	cfsd.init
Source2:	mcrypt
Source3:	cfs-setup
Source4:	decrypt
Source5:	dpw.py
Source6:	README.cfs-tools
Patch0:		cfs-linux.patch
Patch1: 	cfs-blowfish.patch
Patch2:		cfs-sh.patch
Patch3:		cfs-root.patch
Patch4:		cfs-setid.patch
BuildRoot:	%{_tmppath}/%{name}-root


%description
This is version 1.4.0beta2j of CFS, the Cryptographic File System, which
also includes version 1.0 of ESM, the Encrypting Session Manager.
See also these handy scripts: decrypt and dpw.py.

%prep
%setup -c -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%{__cp} -a %{SOURCE1} .
%{__cp} -a %{SOURCE2} .
%{__cp} -a %{SOURCE3} .
%{__cp} -a %{SOURCE4} .
%{__cp} -a %{SOURCE5} .
%{__cp} -a %{SOURCE6} .

%build
%{__make} BINDIR=%{_bindir} ETCDIR=%{_sysconfdir} \
	  CFLAGS_EXTRA='%{optflags}' \
	  cfs


%install
%{__rm} -rf $RPM_BUILD_ROOT

%{__install} -d $RPM_BUILD_ROOT/.cfsfs
%{__install} -d $RPM_BUILD_ROOT%{_sbindir}
%{__install} -d $RPM_BUILD_ROOT%{_bindir}
%{__install} -d $RPM_BUILD_ROOT%{_mandir}/man1
%{__install} -d $RPM_BUILD_ROOT%{_mandir}/man8
%{__install} -d $RPM_BUILD_ROOT%{_libdir}/%{name}
%{__install} -d $RPM_BUILD_ROOT/mnt/crypt

%{__make} BINDIR=$RPM_BUILD_ROOT%{_bindir} \
	  ETCDIR=$RPM_BUILD_ROOT%{_sbindir} \
	  install_cfs

%{__install} -p -m755 cfsd.init $RPM_BUILD_ROOT%{_libdir}/%{name}/
%{__install} -p -m755 cfs-setup $RPM_BUILD_ROOT%{_libdir}/%{name}/
%{__install} -p -m755 mcrypt $RPM_BUILD_ROOT%{_libdir}/%{name}/
( cd $RPM_BUILD_ROOT%{_libdir}/%{name} && %{__ln_s} mcrypt ucrypt )

%{__install} -p -m755 decrypt $RPM_BUILD_ROOT%{_bindir}/
%{__install} -p -m755 dpw.py $RPM_BUILD_ROOT%{_bindir}/

for i in 1 8; do
	%{__install} -m644 *.$i $RPM_BUILD_ROOT%{_mandir}/man$i/
done



%clean
%{__rm} -rf $RPM_BUILD_ROOT


%post
if [ ! -e /etc/rc.d/init.d/cfsd ] ; then
	%{__ln_s} %{_libdir}/%{name}/cfsd.init /etc/rc.d/init.d/cfsd
fi

if [ -x /sbin/chkconfig ] ; then
	/sbin/chkconfig --add cfsd
	/sbin/chkconfig --level 35 cfsd on
fi

/bin/bash %{_libdir}/%{name}/cfs-setup

%preun
test -d /mnt/crypt || %{__mkdir} -m755 /mnt/crypt

if [ "$0" = "0" ]; then
	/sbin/chkconfig --del cfsd
fi


%files
%defattr(-,root,root)
%doc LEVELS README* VERSION notes.ms
%doc %{_mandir}/*/*
%dir %{_bindir}/*
%dir %{_libdir}/%{name}/*
%dir %{_sbindir}/*
%attr(0,root,root)/.cfsfs
%ghost %verify(not mode) /mnt/crypt


%changelog
* Sat Sep 22 2002 Jerry Sweet <cfs-tools@akamail.com> 1.4.0.beta2j-6.2a
- Spec file tweaks to correct issues revealed by installs on clean systems.

* Sun Jun 30 2002 Jerry Sweet <cfs-tools@akamail.com> 1.4.0.beta2j-6.2
- Added sete{g,u}id -> setfs{g,u}id security patch related to core dumps;
  originally from <therapy@GUARDIAN.HTU.TUWIEN.AC.AT> dated Feb. 21, 1998.
- Arranged a symlink from /etc/rc.d/init.d to the cfsd startup script so
  that the final chkconfig will work with Red Hat 6.2.
- Changed the location of file "functions" in the cfsd.init startup script to
  work with Red Hat 6.2.
- Added an invocation of cfs-setup, a script to create NFS exports and
  mount points for Red Hat 6.2.
- Added "decrypt" and "dpw.py" tools.

* Sat Sep 15 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 1.4.0.beta2-6
- Prepared for rhcontrib
- Added mcrypt-script + INSTALL file
 
* Tue Sep 12 2000 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- initial release
